Debian Bug report logs - #510732
network-manager-pptp: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: network-manager-pptp; Maintainer for network-manager-pptp is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager-pptp is src:network-manager-pptp.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 15:12:07 UTC

Severity: normal

Found in version network-manager-pptp/0.6.5+svnhead2574+dfsg-2

Fixed in version network-manager-pptp/0.7.0-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#510732; Package network-manager-pptp. (Sun, 04 Jan 2009 15:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Sun, 04 Jan 2009 15:12:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager-pptp: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 15:09:11 +0000
[Message part 1 (text/plain, inline)]
Package: network-manager-pptp
Version: 0.6.5+svnhead2574+dfsg-2
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

network-manager-pptp's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730 for the equivalent
changes to NetworkManager).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:18:30 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:18:30 GMT) Full text and rfc822 format available.

Message #10 received at 510732-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510732-close@bugs.debian.org
Subject: Bug#510732: fixed in network-manager-pptp 0.7.0-2
Date: Sun, 15 Feb 2009 14:01:11 +0000
Source: network-manager-pptp
Source-Version: 0.7.0-2

We believe that the bug you reported is fixed in the latest version of
network-manager-pptp, which is due to be installed in the Debian FTP archive:

network-manager-pptp-gnome_0.7.0-2_i386.deb
  to pool/main/n/network-manager-pptp/network-manager-pptp-gnome_0.7.0-2_i386.deb
network-manager-pptp_0.7.0-2.diff.gz
  to pool/main/n/network-manager-pptp/network-manager-pptp_0.7.0-2.diff.gz
network-manager-pptp_0.7.0-2.dsc
  to pool/main/n/network-manager-pptp/network-manager-pptp_0.7.0-2.dsc
network-manager-pptp_0.7.0-2_i386.deb
  to pool/main/n/network-manager-pptp/network-manager-pptp_0.7.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager-pptp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Feb 2009 15:18:46 +0100
Source: network-manager-pptp
Binary: network-manager-pptp network-manager-pptp-gnome
Architecture: source i386
Version: 0.7.0-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 network-manager-pptp - network management framework (PPTP plugin core)
 network-manager-pptp-gnome - network management framework (PPTP plugin GNOME GUI)
Closes: 510732
Changes: 
 network-manager-pptp (0.7.0-2) experimental; urgency=low
 .
   * debian/control
     - Wrap build dependencies.
     - Bump build dependency on debhelper to (>= 7).
   * debian/compat
     - Bump to debhelper v7 compat mode.
   * debian/patches/01-dbus_policy.patch
     - Remove bare send_interface policy rules. (Closes: #510732)
   * debian/rules
     - Include gnome.mk cdbs class instead of autotools.mk.
Checksums-Sha1: 
 1625a860b4606c4d5e09bfb1883f1ba31342e321 1706 network-manager-pptp_0.7.0-2.dsc
 d7f85ff13fa04c0824a2a895ff177cb2f7087889 5598 network-manager-pptp_0.7.0-2.diff.gz
 f4feed19431ddce226fcc35c82d7d13539fe182f 26244 network-manager-pptp_0.7.0-2_i386.deb
 ea95b91709581671c9a7f044c49d9e9f5ece9a52 113154 network-manager-pptp-gnome_0.7.0-2_i386.deb
Checksums-Sha256: 
 dc4bc03eda889612e8180b41c86b023852f1a33eb6a9c28a050206dc1f4f395e 1706 network-manager-pptp_0.7.0-2.dsc
 71f4b007fc5fd96beee9b300fc29fa05dd02c31d2f0e1cdc948755d581517923 5598 network-manager-pptp_0.7.0-2.diff.gz
 61b869c9d1a1573363178e745c7354341c804481e6fe762006926e0d4a72aa79 26244 network-manager-pptp_0.7.0-2_i386.deb
 3c6c90e2a89f4d865014d0c39d0793141b2d4052dfe7390f90f5d8e50b55cf8b 113154 network-manager-pptp-gnome_0.7.0-2_i386.deb
Files: 
 af9542309c5cae1d53e5e65672faa6d2 1706 net optional network-manager-pptp_0.7.0-2.dsc
 06c1e1d0c8192960cc57457ca1e86d44 5598 net optional network-manager-pptp_0.7.0-2.diff.gz
 d04111c0de77eb3a73b029d74389442a 26244 net optional network-manager-pptp_0.7.0-2_i386.deb
 40f96ff9e9221498303a36c9058b4471 113154 net optional network-manager-pptp-gnome_0.7.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmW0+AACgkQh7PER70FhVRFhACgtmrpjIX71bV2ZldHnHwYWW9z
3pkAn3cvwi0lqriU5jfRkEGZRFQCG8Rx
=9NlQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 May 2009 07:29:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:29:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.